#!/bin/bash
failcount=0
rm -f dominfo.*
rm -f start.*
rm -f shutdown.*
rm -f libvirtd.log.*
rm -f bticontainer.log.*

function cleanup()
{
        rm -f /var/log/libvirt/libvirtd.log
        rm -f /var/log/libvirt/lxc/bticontainer.log
}

function cache()
{
        cp /var/log/libvirt/libvirtd.log libvirtd.log.$1
        cp /var/log/libvirt/lxc/bticontainer.log bticontainer.log.$1
}

export LIBVIRT_LOG_FILTERS="1:domain 1:security 1:lxc 1:qemu 1:libvirt"
export LIBVIRT_LOG_OUTPUTS="1:stderr"

for i in `seq 0 100`
do
        
        cleanup
        virsh -c lxc:/// shutdown bticontainer &> shutdown.$i
        sleep 15
        cache shutdown.$i
        
        
        cleanup
        virsh -c lxc:/// destroy bticontainer &> /dev/null
        sleep 10
        cache destroy.$i
        
        cleanup
        virsh -c lxc:/// start bticontainer &> start.$i
        sleep 15
        cache start.$i

	 echo FSC $FAKE_SELINUX_CONTEXT
        
        cleanup
        virsh -c lxc:/// dominfo bticontainer &> dominfo.$i
        retval="$?"
        echo dominfo $retval
        sleep 10
        cache dominfo.$i

	 echo FSC $FAKE_SELINUX_CONTEXT
        
        if [ "$retval" = "1" ]
        then
                let "failcount+=1"

                mkdir fail.$i
                cp *.$i fail.$i/
        fi

	echo "Cycles $i Failures $failcount"
	
done
